Public Class _Default5
    Inherits System.Web.UI.Page

    Protected Sub Page_Load() Handles Me.Load
        Dim target = Master.transfer.currentPage
        If String.IsNullOrEmpty(target) OrElse target = "Submit.aspx" Or target = "Default.aspx" Then
            target = Master.GetFirstPage().target
        End If
        Response.Redirect(target & "?xferId=" & Master.transfer.id)
    End Sub

End Class